[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#524684: kdm: missing dependency (on plasma?)

Package: kdm
Version: 4:4.2.2-2
Severity: important

When I first installed kdm 4.2.2, it would crash on startup with the
error message "No greeter widge plugin loaded.  Check the
configuration."  I went back and looked for missing packages, and
discovered that somehow I had managed to install a good chunk of KDE4
w/o plasma.  Once I installed the base plasma packages, kdm would run
just fine. 

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (750, 'testing'), (120, 'stable'), (110, 'unstable'), (105, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.26-2-powerpc
Locale: LANG=he_IL.UTF-8, LC_CTYPE=he_IL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kdm depends on:
ii  consolekit                    0.3.0-2    framework for defining and trackin
ii  debconf [debconf-2.0]         1.5.26     Debian configuration management sy
ii  kdebase-runtime               4:4.2.2-1  runtime components from the offici
ii  kdelibs5                      4:4.2.2-2  core libraries for all KDE 4 appli
ii  libc6                         2.9-4      GNU C Library: Shared libraries
ii  libck-connector0              0.3.0-2    ConsoleKit libraries
ii  libdbus-1-3                   1.2.12-1   simple interprocess messaging syst
ii  libpam0g                      1.0.1-9    Pluggable Authentication Modules l
ii  libqimageblitz4               1:0.0.4-4  QImageBlitz image effects library
ii  libqt4-qt3support             4.4.3-2    Qt 3 compatibility library for Qt 
ii  libqt4-svg                    4.4.3-2    Qt 4 SVG module
ii  libqt4-xml                    4.4.3-2    Qt 4 XML module
ii  libqtcore4                    4.4.3-2    Qt 4 core module
ii  libqtgui4                     4.4.3-2    Qt 4 GUI module
ii  libstdc++6                    4.3.3-7    The GNU Standard C++ Library v3
ii  libx11-6                      2:1.2-1    X11 client-side library
ii  libxau6                       1:1.0.4-2  X11 authorisation library
ii  libxdmcp6                     1:1.0.2-3  X11 Display Manager Control Protoc
ii  libxtst6                      2:1.0.3-1  X11 Testing -- Resource extension 
ii  lsb-base                      3.2-22     Linux Standard Base 3.2 init scrip

Versions of packages kdm recommends:
ii  gnome-session [x-session-ma 2.22.3-2     The GNOME 2 Session Manager
ii  gnome-terminal [x-terminal- 2.24.3-3     The GNOME 2 terminal emulator appl
ii  icewm [x-window-manager]    1.2.37-1     wonderful Win95-OS/2-Motif-like wi
ii  icewm-lite [x-window-manage 1.2.37-1     wonderful Win95-OS/2-Motif-like wi
ii  kde-window-manager [x-windo 4:4.2.2-2    the KDE 4 window manager (KWin)
ii  kdebase                     4:4.2.2-1    base applications from the officia
ii  konsole [x-terminal-emulato 4:4.2.2-1    X terminal emulator for KDE 4
ii  lesstif-bin [x-window-manag 1:0.95.0-2.1 user binaries for LessTif
ii  logrotate                   3.7.7-3      Log rotation utility
ii  metacity [x-window-manager] 1:2.24.0-2   A lightweight GTK2 based Window Ma
ii  mlterm [x-terminal-emulator 2.9.4-6      MultiLingual TERMinal
ii  twm [x-window-manager]      1:1.0.4-2    Tab window manager
ii  wmaker [x-window-manager]   0.92.0-8     NeXTSTEP-like window manager for X
ii  xserver-xorg-core [xserver] 2:1.4.2-11   Xorg X server - core server
ii  xterm [x-terminal-emulator] 242-1        X terminal emulator

Versions of packages kdm suggests:
ii  kdepasswd                     4:4.2.2-1  password changer for KDE 4

-- debconf information:
  kdm/stop_running_server_with_children: false
* shared/default-x-display-manager: kdm
  kdm/daemon_name: /usr/bin/kdm

Reply to: